org.apache.xml.utils

## Class URI.MalformedURIException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.xml.utils.URI.MalformedURIException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  URI

    public static class URI.MalformedURIException
    extends java.io.IOException

MalformedURIExceptions are thrown in the process of building a URI or setting fields on a URI when an operation would result in an invalid URI specification.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`URI.MalformedURIException()` Constructs a `MalformedURIException` with no specified detail message.
`URI.MalformedURIException(java.lang.String p_msg)` Constructs a `MalformedURIException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### URI.MalformedURIException

    public URI.MalformedURIException()

Constructs a `MalformedURIException` with no specified detail message.

#### URI.MalformedURIException

    public URI.MalformedURIException(java.lang.String p_msg)

Constructs a `MalformedURIException` with the specified detail message.

Parameters:
  `p_msg` - the detail message.